[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Calculated

Is the field a calculated field ?

## Declaration

Source position: db.pas line 419

`public property TField.Calculated : Boolean read FCalculated write FCalculated;`

## Description

Calculated is True if the FieldKind is fkCalculated. Setting the property will result in FieldKind being set to fkCalculated (for a value of True) or fkData. This property should be considered read-only.

## See also

TField.FieldKind |  | The kind of field.